Error
A valid request URL is required to generate request examples{
"session": {
"id": 123,
"prompt_id": "<string>",
"version_id": 123,
"name": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}Prompt Repository
Rename prompt session
Renames a session.
PUT
/
api
/
prompt-repo
/
sessions
/
{id}
/
rename
Error
A valid request URL is required to generate request examples{
"session": {
"id": 123,
"prompt_id": "<string>",
"version_id": 123,
"name": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Session ID
Body
application/json
Response
Session renamed
Prompt playground session
Show child attributes
Show child attributes
Was this page helpful?
⌘I

